Name:		debmirror
Version:	2.16
Release:	4%{?dist}
Summary:	Debian partial mirror script, with ftp and package pool support

Group:		Applications/Internet
License:	GPLv2+
URL:		http://packages.qa.debian.org/d/%{name}.html
Source:		http://ftp.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.gz

# Disable IPv6, because INET6Glue is not yet package into Fedora
Patch0:		%{name}.disableipv6.patch

BuildArch:	noarch
BuildRequires: perl, perl-podlators
Requires:	patch, ed, gnupg, rsync, coreutils, findutils, gzip, bzip2

%description
This program downloads and maintains a partial local Debian mirror.
It can mirror any combination of architectures, distributions and
sections. Files are transferred by ftp, http, hftp or rsync, and package
pools are fully supported. It also does locking and updates trace files.


%prep
%setup -q -n %{name}
%patch0 -p0

%build


%install
%{__install} -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
%{__install} -Dp -m 0644 examples/%{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf

# generate a man page
%{__install} -d %{buildroot}%{_mandir}/man1
pod2man %{name} %{buildroot}%{_mandir}/man1/%{name}.1


%files
%defattr(-,root,root,-)
%doc GPL debian/copyright debian/changelog debian/NEWS doc/design.txt
%{_mandir}/man1/%{name}.1.gz
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 02 2013 Patrick Uiterwijk <patrick@puiterwijk.org> - 2.16-1
- Rebase to upstream 2.16

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.15-2
- Perl 5.18 rebuild

* Mon May 06 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.15-1
- Rebase to upstream 2.15

* Fri Feb 22 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.14-5
- Added BuildRequires: perl-podlators for pod2man

* Thu Feb 14 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.14-4
- Add BuildRequires perl

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.14-2
- Disabling IPv6 to solve dep problems (INET6Glue is not yet packaged)

* Sat Jul 21 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.14-1
- Updating to upstream 2.14

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 01 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.8-1
- Avoid trying to get d-i for *-updates suites. Debian bug #619146

* Wed Mar 09 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.7-1
- Upstream released new version:
  http://packages.debian.org/changelogs/pool/main/d/debmirror/current/changelog#versionversion1:2.7

* Wed Feb 09 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.5-1
- Upstream released new version:

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 22 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.4.4-1
- Upstream released new version
  See http://packages.debian.org/changelogs/pool/main/d/debmirror/current/changelog

* Wed Mar 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.4.3-1
- Upstream released new version

* Mon Dec 21 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.4-1
- New upstream release
- Change license to GPLv2+ according to copyright file

* Wed Sep 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 20090807-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070123-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 09 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> - 20070123-8
- Use GPL+ as license
- Use main debian url for Source

* Wed Apr 08 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> - 20070123-7
- Change url to a page with more content
- Use %%{name} macro

* Tue Apr 07 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> - 20070123-6
- Generate a man page from the source
- Add explicit Requires on system commands used

* Tue Apr 07 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> - 20070123-5
- Package cleanup for review

* Sat Nov  1 2008 Javier palacios <javiplx@gmail.com>
- 20070123-2
- Added suggestions from the review process

* Sat Oct 11 2008 Javier palacios <javiplx@gmail.com>
- 20070123-1
- First release

